package org.one.stone.soup.xapp.containers.tabs;

import org.one.stone.soup.xapp.XappPersister;
import org.one.stone.soup.xapp.containers.XappContainer;
import org.one.stone.soup.xml.XmlElement;

public interface XappTabs extends XappContainer,XappPersister{

	public void setOrientation(String orientation);
	public void setLayout(String layout);
	
	public abstract XappTab getTab(String tabName);
	public abstract XmlElement getData();
	public abstract void setData(XmlElement data);

	public void removeTab( XappTab tab );
	public void removeTab( int tabIndex );
	public void selectTab( int tabIndex );
	public XappTab getSelectedTab();
	public String getTabTitle( int tabIndex );
}