package org.one.stone.soup.xapp.factories;

import org.one.stone.soup.xml.XmlElement;

public class XappSpreadsheetFactory {

	
	public static XmlElement getSpreadsheetDefinition(String name,int columns,int rows)
	{
		XmlElement xSheet = new XmlElement("spreadsheet");
		xSheet.addAttribute("name",name);
		
		XmlElement xColumns = xSheet.addChild("columns");
		char title = 'A';
		for(int loop=0;loop<columns;loop++)
		{
			xColumns.addChild("title").addValue(""+(char)title);
			title++;
		}
		for(int loop=0;loop<rows;loop++)
		{
			XmlElement xRow = xSheet.addChild("row");
			for(int loopC=0;loopC<columns;loopC++)
			{
				xRow.addChild("field").addValue("");
			}
		}
		return xSheet;
	}
}
