package org.one.stone.soup.xml;

 /*
 * Wet-Wired.com Xml Version Date 25-Aug-2004
 *
 * Copyright 2000-2001 by Wet-Wired.com Ltd.,
 * Portsmouth England
 * This software is OSI Certified Open Source Software
 * This software is covered by an OSI approved open source licence
 * which can be found at http://www.onestonesoup.org/OSSLicense.html
 */

/**
  * The XmlImportMaintainer class will maintain import compiler tags
  * in an xml document. It is used by adding an instance to an instance of XmlParser
  * via the addCompiler method.
 */

public class XmlImportMaintainer implements XmlProcessor {
/**
 * XmlImportCompiler constructor comment.
 */
public XmlImportMaintainer() {
	super();
}
public boolean process(XmlElement root,XmlElement directive, XmlElement target,int lineNo,String currentFileName) throws XmlParseException {

	if( !directive.getName().equals("import"))
		return false;

	directive.setCompilerDirective(true);
	target.addChild(directive);

	return true;
}
}
