package org.one.stone.soup.grfx;

/*
 * Wet-Wired.com Library Version 2.1
 *
 * Copyright 2000-2001 by Wet-Wired.com Ltd.,
 * Portsmouth England
 * This software is OSI Certified Open Source Software
 * This software is covered by an OSI approved open source licence
 * which can be found at http://www.onestonesoup.org/OSSLicense.html
 */

/**
 * @author nikcross
 *
 */

// TODO
public class Pixel {

	public int alpha;
	public int red;
	public int green;
	public int blue;
/**
 * Pixel constructor comment.
 */
public Pixel() {
	super();
}
/**
 * Pixel constructor comment.
 */
public Pixel(int rgb) {
	super();

	setRGB(rgb);
}
/**
 * Pixel constructor comment.
 */
public Pixel(int r,int g,int b,int a) {
	super();

	red = r;
	green = g;
	blue = b;
	alpha = a;
}
public int getRGB() {

	alpha = alpha & 0x000000FF;
	red = red & 0x000000FF;
	green = green & 0x000000FF;
	blue = blue & 0x000000FF;

	int rgb = blue | (green<<8) | (red<<16) | (alpha<<24);

	return rgb;
}
public void setRGB(int rgb) {

	alpha = (rgb & 0xFF000000) >>> 24;
	red = (rgb & 0x00FF0000) >>> 16;
	green = (rgb & 0x0000FF00) >>> 8;
	blue = (rgb & 0x000000FF);
}
/**
 *
 * @return java.lang.String
 */
public String toString() {
	return "Pixel[alpha="+alpha+", red="+red+",blue="+blue+", green="+green+"]";
}
}
