package org.one.stone.soup.grfx;

/*
 * Wet-Wired.com Library Version 2.1
 *
 * Copyright 2000-2001 by Wet-Wired.com Ltd.,
 * Portsmouth England
 * This software is OSI Certified Open Source Software
 * This software is covered by an OSI approved open source licence
 * which can be found at http://www.onestonesoup.org/OSSLicense.html
 */

/**
 * @author nikcross
 *
 */

// TODO
public class PixelHelper {
	private static Pixel temp = new Pixel();
/**
 * Insert the method's description here.
 * Creation date: (20/07/00 18:14:17)
 * @return int
 * @param x int
 * @param y int
 * @param w int
 * @param h int
 * @param data int[]
 * @param scan int
 */
public static int averagePixels(int x1, int y1, int x2, int y2, Pixel sum, int[] data, int scan) {

	int scanHeight = data.length/scan;

	int count=0;
	int pointer;
//	Pixel temp = new Pixel();
	sum.setRGB(0x00000000);

	int loopX;
	int vert = (y1-1)*scan;

	for(int loopY=y1;loopY<y2;loopY++)
	{
		vert+=scan;
		if(loopY<0 || loopY>=scanHeight)
			continue;
		for(loopX=x1;loopX<x2;loopX++)
		{
			if(loopX<0 || loopX>=scan)
				continue;

			pointer = vert+loopX;
			temp.setRGB(data[pointer]);

			sum.red+=temp.red;
			sum.green+=temp.green;
			sum.blue+=temp.blue;
			sum.alpha=temp.alpha;

			count++;
		}
	}
	sum.red = sum.red/count;
	sum.green = sum.green/count;
	sum.blue = sum.blue/count;
	sum.alpha = sum.alpha;

	return count;
}
/**
 * Insert the method's description here.
 * Creation date: (20/07/00 18:14:17)
 * @return int
 * @param x int
 * @param y int
 * @param w int
 * @param h int
 * @param data int[]
 * @param scan int
 */
public static int sumPixels(int x1, int y1, int x2, int y2, Pixel sum, int[] data, int scan) {

	int scanHeight = data.length/scan;

	int count=0;
	int pointer;
//	Pixel temp = new Pixel();
	sum.setRGB(0x00000000);

	int loopX;
	int vert = (y1-1)*scan;

	for(int loopY=y1;loopY<y2;loopY++)
	{
		vert+=scan;
		if(loopY<0 || loopY>scanHeight)
			continue;
		for(loopX=x1;loopX<x2;loopX++)
		{
			if(loopX<0 || loopX>scan)
				continue;

			pointer = vert+loopX;
			temp.setRGB(data[pointer]);

			sum.red+=temp.red;
			sum.green+=temp.green;
			sum.blue+=temp.blue;
			sum.alpha+=temp.alpha;

			count++;
		}
	}
	return count;
}
}
