package org.one.stone.soup.stringhelper;

import java.io.IOException;

/*
 * Wet-Wired.com Library Version 2.1
 *
 * Copyright 2000-2001 by Wet-Wired.com Ltd.,
 * Portsmouth England
 * This software is OSI Certified Open Source Software
 * This software is covered by an OSI approved open source licence
 * which can be found at http://www.onestonesoup.org/OSSLicense.html
 */

/**
 * @author nikcross
 *
 */

// TODO
public class StringInputStream extends java.io.InputStream{

	private String data;
	private int cursor;
/**
 * StringInputStream constructor comment.
 */
public StringInputStream(String data) {
	super();

	this.data=data;
	cursor=0;
}
/**
 * read method comment.
 */
public int read() throws java.io.IOException {

	if(data==null)
		return -1;

	if(cursor>=data.length())
		return -1;

	int val = data.charAt(cursor);
	val = val & 255;
	cursor++;

	return val;
}

public int available() throws IOException {
	return 1;
    }
}
