package org.one.stone.soup.xapp.swing.components;

import javax.swing.JMenuItem;

import org.one.stone.soup.xapp.components.XappImage;
import org.one.stone.soup.xapp.components.XappMenuItem;

public class XappSwingMenuItem extends JMenuItem implements XappMenuItem {

	public void setName(String name)
	{
		super.setName(name);
		super.setText(name);
	}
	
	public String getData() {
		return getActionCommand();
	}

	public void setData(String value) {
		setActionCommand(value);
	}

	public void setEditable(boolean state) {
		setEnabled(state);
	}

	public void setIcon(XappImage image) {
		setIcon( ((XappSwingImage)image).getImageIcon() );
	}
	
	public void setTip(String text)
	{
		setToolTipText(text);
	}
}
